﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="ListViewVB.aspx.vb" Inherits="ListViewVB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register TagPrefix="editForm" TagName="uc" Src="~/EditForm.ascx" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js">
            </asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js">
            </asp:ScriptReference>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js">
            </asp:ScriptReference>
        </Scripts>
    </telerik:RadScriptManager>
    <div>
        <asp:Label runat="server" ID="StatusLabel" Style="display: none;" EnableViewState="false" />`
        <telerik:RadListView ID="RadListView1" runat="server" ItemPlaceholderID="ProductItemContainer"
            DataKeyNames="ProductID" AllowPaging="True" OnItemUpdating="RadListView1_ItemUpdating"
            OnItemInserting="RadListView1_ItemInserting" OnItemDeleting="RadListView1_ItemDeleting"
            OnNeedDataSource="RadListView1_NeedDataSource">
            <LayoutTemplate>
                <fieldset style="width: 770px;">
                    <legend>Products - RadListView bound to SQL datasource</legend>
                    <table cellpadding="0" cellspacing="0" width="770px">
                        <tr>
                            <td>
                                <asp:Button ID="Button1" runat="server" CommandName="InitInsert" Visible="<%# Not Container.IsItemInserted %>"
                                    Text="Add new product" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Panel ID="ProductItemContainer" runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <telerik:RadDataPager ID="RadDataPager1" runat="server" PagedControlID="RadListView1"
                                    PageSize="3">
                                    <Fields>
                                        <telerik:RadDataPagerButtonField FieldType="FirstPrev" />
                                        <telerik:RadDataPagerButtonField FieldType="Numeric" />
                                        <telerik:RadDataPagerButtonField FieldType="NextLast" />
                                    </Fields>
                                </telerik:RadDataPager>
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </LayoutTemplate>
            <ItemTemplate>
                <fieldset style="float: left; width: 226px; height: 140px;">
                    <table cellpadding="2" cellspacing="0" style="height: 100%;">
                        <tr>
                            <td style="width: 20%;">
                                Name:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# Eval("ProductName") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Quantity:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# Eval("QuantityPerUnit") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Price:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# DataBinder.Eval(Container.DataItem, "UnitPrice", "{0:C}") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Units:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <%# Eval("UnitsInStock") %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Discontinued:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Eval("Discontinued") %>'
                                    Enabled="false" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <asp:LinkButton ID="Button1" runat="server" CommandName="Edit" Text="Edit" />&nbsp;
                                <asp:LinkButton ID="Button2" runat="server" CommandName="Delete" CommandArgument='<%#Eval("ProductID") %>'
                                    Text="Delete" />
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </ItemTemplate>
            <EditItemTemplate>
                <editForm:uc ID="UserControlEditForm1" runat="server" />
            </EditItemTemplate>
            <InsertItemTemplate>
                <fieldset style="float: left; width: 226px; height: 140px;">
                    <table cellpadding="0" cellspacing="2" style="height: 100%">
                        <tr>
                            <td style="width: 20%;">
                                Name:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("ProductName") %>' Width="120px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Quantity:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("QuantityPerUnit") %>' Width="120px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Price:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("UnitPrice") %>' Width="65px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Units:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("UnitsInStock") %>' Width="65px"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Discontinued:
                            </td>
                            <td style="width: 80%; padding-left: 5px;">
                                <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("Discontinued") %>' />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <asp:ImageButton ID="Button1" runat="server" CommandName="PerformInsert" Text="Insert"
                                    ImageUrl="~/ListView/Examples/DefiningStructure/DeclarativeDefinition/Img/Update.gif" />
                                <asp:ImageButton ID="Button2" runat="server" CommandName="Cancel" Text="Cancel" ImageUrl="~/ListView/Examples/DefiningStructure/DeclarativeDefinition/Img/Cancel.gif" />
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </InsertItemTemplate>
        </telerik:RadListView>
    </div>
    </form>
</body>
</html>
